# ProviderHost Class

### NAMESPACE

RASAdminEngine.Core.OutputModels.ProviderSystemInfo

### DESCRIPTION

Provider Host

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒ProviderHost

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type                                                                                                                                        | Name                | Description |                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------- | ----------- | ---------------------------------------------- |
| [AgentState](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AgentState.html)           | AgentState          |             | Agent state.                                   |
| [VDIHostConn](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHostConn.html)         | Connection          |             | VDI Host Connection.                           |
| String                                                                                                                                      | HostID              |             | Host ID.                                       |
| String                                                                                                                                      | IP                  |             | IP of the Provider.                            |
| Boolean                                                                                                                                     | IsMaintenance       |             | Whether the Provider is in maintenance or not. |
| Boolean                                                                                                                                     | IsTemplate          |             | Whether the Provider is a template or not.     |
| [RASLogLevel](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASLogLevel.html)         | LogLevel            |             | RAS Log Level for this Provider.               |
| String                                                                                                                                      | Name                |             | Provider name.                                 |
| UInt32                                                                                                                                      | ProviderID          |             | Provider ID.                                   |
| String                                                                                                                                      | Server              |             | FQDN or IP address of the RAS Server.          |
| String                                                                                                                                      | ServiceStartTime    |             | Service start time.                            |
| [VDIRDPSession](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIRDPSession.html)     | Session             |             | VDI user session.                              |
| [VDIHostState](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/VDIHostState.html)       | State               |             | VDI Host State.                                |
| String                                                                                                                                      | SystemBootTime      |             | System boot time.                              |
| UInt32                                                                                                                                      | TemplateID          |             | Template ID.                                   |
| String                                                                                                                                      | TemplateName        |             | Template Name.                                 |
| [HostSessionType](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/HostSessionType.html) | TemplateType        |             | Template Type.                                 |
| UInt32                                                                                                                                      | UnhandledExceptions |             | Number of unhandled exceptions.                |
| String                                                                                                                                      | User                |             | Provider user name.                            |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/providerhost-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
